/// <reference types="react" />
import { Dictionary } from '@brandingbrand/fsfoundation';
export declare function labelAboveTextbox(locals: Dictionary, componentFactory?: (locals: Dictionary, textboxStyle: any, color: string) => JSX.Element): JSX.Element;
export declare function labelFloatingTextbox(locals: Dictionary, componentFactory?: (locals: Dictionary, textboxStyle: any, color: string) => JSX.Element): JSX.Element;
export declare function labelHiddenTextbox(locals: Dictionary, componentFactory?: (locals: Dictionary, textboxStyle: any, color: string) => JSX.Element): JSX.Element;
export declare function labelInlineTextbox(locals: Dictionary, componentFactory?: (locals: Dictionary, textboxStyle: any, color: string) => JSX.Element): JSX.Element;
